# Namespace org.accordproject.ciceromark@0.4.0

## Overview
- 10 concepts
- 0 enumerations
- 0 assets
- 0 participants
- 0 transactions
- 0 events
- 10 total declarations

## Imports
- org.accordproject.commonmark@0.5.0.Child
- concerto.metamodel@0.4.0.Decorator
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.ciceromark@0.4.0.Element` {
<< concept>>
   + `String` `name`
   + `String` `elementType`
   + `Decorator[]` `decorators`
}

`org.accordproject.ciceromark@0.4.0.Element` "1" *-- "*" `concerto.metamodel@0.4.0.Decorator`
`org.accordproject.ciceromark@0.4.0.Element` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.ciceromark@0.4.0.Variable` {
<< concept>>
   + `String` `value`
   + `String` `identifiedBy`
}

`org.accordproject.ciceromark@0.4.0.Variable` --|> `org.accordproject.ciceromark@0.4.0.Element`
class `org.accordproject.ciceromark@0.4.0.FormattedVariable` {
<< concept>>
   + `String` `format`
}

`org.accordproject.ciceromark@0.4.0.FormattedVariable` --|> `org.accordproject.ciceromark@0.4.0.Variable`
class `org.accordproject.ciceromark@0.4.0.EnumVariable` {
<< concept>>
   + `String[]` `enumValues`
}

`org.accordproject.ciceromark@0.4.0.EnumVariable` --|> `org.accordproject.ciceromark@0.4.0.Variable`
class `org.accordproject.ciceromark@0.4.0.Formula` {
<< concept>>
   + `String` `value`
   + `String[]` `dependencies`
   + `String` `code`
}

`org.accordproject.ciceromark@0.4.0.Formula` --|> `org.accordproject.ciceromark@0.4.0.Element`
class `org.accordproject.ciceromark@0.4.0.Block`
<< concept>> `org.accordproject.ciceromark@0.4.0.Block`

`org.accordproject.ciceromark@0.4.0.Block` --|> `org.accordproject.ciceromark@0.4.0.Element`
class `org.accordproject.ciceromark@0.4.0.Clause` {
<< concept>>
   + `String` `src`
}

`org.accordproject.ciceromark@0.4.0.Clause` --|> `org.accordproject.ciceromark@0.4.0.Block`
class `org.accordproject.ciceromark@0.4.0.Conditional` {
<< concept>>
   + `Boolean` `isTrue`
   + `Child[]` `whenTrue`
   + `Child[]` `whenFalse`
}

`org.accordproject.ciceromark@0.4.0.Conditional` "1" *-- "*" `org.accordproject.commonmark@0.5.0.Child`
`org.accordproject.ciceromark@0.4.0.Conditional` "1" *-- "*" `org.accordproject.commonmark@0.5.0.Child`
`org.accordproject.ciceromark@0.4.0.Conditional` --|> `org.accordproject.ciceromark@0.4.0.Block`
class `org.accordproject.ciceromark@0.4.0.Optional` {
<< concept>>
   + `Boolean` `hasSome`
   + `Child[]` `whenSome`
   + `Child[]` `whenNone`
}

`org.accordproject.ciceromark@0.4.0.Optional` "1" *-- "*" `org.accordproject.commonmark@0.5.0.Child`
`org.accordproject.ciceromark@0.4.0.Optional` "1" *-- "*" `org.accordproject.commonmark@0.5.0.Child`
`org.accordproject.ciceromark@0.4.0.Optional` --|> `org.accordproject.ciceromark@0.4.0.Block`
class `org.accordproject.ciceromark@0.4.0.ListBlock` {
<< concept>>
   + `String` `type`
   + `String` `tight`
   + `String` `start`
   + `String` `delimiter`
}

`org.accordproject.ciceromark@0.4.0.ListBlock` --|> `org.accordproject.ciceromark@0.4.0.Block`
```

# Namespace concerto.metamodel@0.4.0

## Overview
- 37 concepts
- 0 enumerations
- 0 assets
- 0 participants
- 0 transactions
- 0 events
- 37 total declarations

## Imports
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `concerto.metamodel@0.4.0.Position` {
<< concept>>
   + `Integer` `line`
   + `Integer` `column`
   + `Integer` `offset`
}

class `concerto.metamodel@0.4.0.Range` {
<< concept>>
   + `Position` `start`
   + `Position` `end`
   + `String` `source`
}

`concerto.metamodel@0.4.0.Range` "1" *-- "1" `concerto.metamodel@0.4.0.Position`
`concerto.metamodel@0.4.0.Range` "1" *-- "1" `concerto.metamodel@0.4.0.Position`
class `concerto.metamodel@0.4.0.TypeIdentifier` {
<< concept>>
   + `String` `name`
   + `String` `namespace`
}

class `concerto.metamodel@0.4.0.DecoratorLiteral` {
<< concept>>
   + `Range` `location`
}

`concerto.metamodel@0.4.0.DecoratorLiteral` "1" *-- "1" `concerto.metamodel@0.4.0.Range`
class `concerto.metamodel@0.4.0.DecoratorString` {
<< concept>>
   + `String` `value`
}

`concerto.metamodel@0.4.0.DecoratorString` --|> `concerto.metamodel@0.4.0.DecoratorLiteral`
class `concerto.metamodel@0.4.0.DecoratorNumber` {
<< concept>>
   + `Double` `value`
}

`concerto.metamodel@0.4.0.DecoratorNumber` --|> `concerto.metamodel@0.4.0.DecoratorLiteral`
class `concerto.metamodel@0.4.0.DecoratorBoolean` {
<< concept>>
   + `Boolean` `value`
}

`concerto.metamodel@0.4.0.DecoratorBoolean` --|> `concerto.metamodel@0.4.0.DecoratorLiteral`
class `concerto.metamodel@0.4.0.DecoratorTypeReference` {
<< concept>>
   + `TypeIdentifier` `type`
   + `Boolean` `isArray`
}

`concerto.metamodel@0.4.0.DecoratorTypeReference` "1" *-- "1" `concerto.metamodel@0.4.0.TypeIdentifier`
`concerto.metamodel@0.4.0.DecoratorTypeReference` --|> `concerto.metamodel@0.4.0.DecoratorLiteral`
class `concerto.metamodel@0.4.0.Decorator` {
<< concept>>
   + `String` `name`
   + `DecoratorLiteral[]` `arguments`
   + `Range` `location`
}

`concerto.metamodel@0.4.0.Decorator` "1" *-- "*" `concerto.metamodel@0.4.0.DecoratorLiteral`
`concerto.metamodel@0.4.0.Decorator` "1" *-- "1" `concerto.metamodel@0.4.0.Range`
class `concerto.metamodel@0.4.0.Identified`
<< concept>> `concerto.metamodel@0.4.0.Identified`

class `concerto.metamodel@0.4.0.IdentifiedBy` {
<< concept>>
   + `String` `name`
}

`concerto.metamodel@0.4.0.IdentifiedBy` --|> `concerto.metamodel@0.4.0.Identified`
class `concerto.metamodel@0.4.0.Declaration` {
<< concept>>
   + `String` `name`
   + `Decorator[]` `decorators`
   + `Range` `location`
}

`concerto.metamodel@0.4.0.Declaration` "1" *-- "*" `concerto.metamodel@0.4.0.Decorator`
`concerto.metamodel@0.4.0.Declaration` "1" *-- "1" `concerto.metamodel@0.4.0.Range`
class `concerto.metamodel@0.4.0.EnumDeclaration` {
<< concept>>
   + `EnumProperty[]` `properties`
}

`concerto.metamodel@0.4.0.EnumDeclaration` "1" *-- "*" `concerto.metamodel@0.4.0.EnumProperty`
`concerto.metamodel@0.4.0.EnumDeclaration` --|> `concerto.metamodel@0.4.0.Declaration`
class `concerto.metamodel@0.4.0.EnumProperty` {
<< concept>>
   + `String` `name`
   + `Decorator[]` `decorators`
   + `Range` `location`
}

`concerto.metamodel@0.4.0.EnumProperty` "1" *-- "*" `concerto.metamodel@0.4.0.Decorator`
`concerto.metamodel@0.4.0.EnumProperty` "1" *-- "1" `concerto.metamodel@0.4.0.Range`
class `concerto.metamodel@0.4.0.ConceptDeclaration` {
<< concept>>
   + `Boolean` `isAbstract`
   + `Identified` `identified`
   + `TypeIdentifier` `superType`
   + `Property[]` `properties`
}

`concerto.metamodel@0.4.0.ConceptDeclaration` "1" *-- "1" `concerto.metamodel@0.4.0.Identified`
`concerto.metamodel@0.4.0.ConceptDeclaration` "1" *-- "1" `concerto.metamodel@0.4.0.TypeIdentifier`
`concerto.metamodel@0.4.0.ConceptDeclaration` "1" *-- "*" `concerto.metamodel@0.4.0.Property`
`concerto.metamodel@0.4.0.ConceptDeclaration` --|> `concerto.metamodel@0.4.0.Declaration`
class `concerto.metamodel@0.4.0.AssetDeclaration`
<< concept>> `concerto.metamodel@0.4.0.AssetDeclaration`

`concerto.metamodel@0.4.0.AssetDeclaration` --|> `concerto.metamodel@0.4.0.ConceptDeclaration`
class `concerto.metamodel@0.4.0.ParticipantDeclaration`
<< concept>> `concerto.metamodel@0.4.0.ParticipantDeclaration`

`concerto.metamodel@0.4.0.ParticipantDeclaration` --|> `concerto.metamodel@0.4.0.ConceptDeclaration`
class `concerto.metamodel@0.4.0.TransactionDeclaration`
<< concept>> `concerto.metamodel@0.4.0.TransactionDeclaration`

`concerto.metamodel@0.4.0.TransactionDeclaration` --|> `concerto.metamodel@0.4.0.ConceptDeclaration`
class `concerto.metamodel@0.4.0.EventDeclaration`
<< concept>> `concerto.metamodel@0.4.0.EventDeclaration`

`concerto.metamodel@0.4.0.EventDeclaration` --|> `concerto.metamodel@0.4.0.ConceptDeclaration`
class `concerto.metamodel@0.4.0.Property` {
<< concept>>
   + `String` `name`
   + `Boolean` `isArray`
   + `Boolean` `isOptional`
   + `Decorator[]` `decorators`
   + `Range` `location`
}

`concerto.metamodel@0.4.0.Property` "1" *-- "*" `concerto.metamodel@0.4.0.Decorator`
`concerto.metamodel@0.4.0.Property` "1" *-- "1" `concerto.metamodel@0.4.0.Range`
class `concerto.metamodel@0.4.0.RelationshipProperty` {
<< concept>>
   + `TypeIdentifier` `type`
}

`concerto.metamodel@0.4.0.RelationshipProperty` "1" *-- "1" `concerto.metamodel@0.4.0.TypeIdentifier`
`concerto.metamodel@0.4.0.RelationshipProperty` --|> `concerto.metamodel@0.4.0.Property`
class `concerto.metamodel@0.4.0.ObjectProperty` {
<< concept>>
   + `String` `defaultValue`
   + `TypeIdentifier` `type`
}

`concerto.metamodel@0.4.0.ObjectProperty` "1" *-- "1" `concerto.metamodel@0.4.0.TypeIdentifier`
`concerto.metamodel@0.4.0.ObjectProperty` --|> `concerto.metamodel@0.4.0.Property`
class `concerto.metamodel@0.4.0.BooleanProperty` {
<< concept>>
   + `Boolean` `defaultValue`
}

`concerto.metamodel@0.4.0.BooleanProperty` --|> `concerto.metamodel@0.4.0.Property`
class `concerto.metamodel@0.4.0.DateTimeProperty`
<< concept>> `concerto.metamodel@0.4.0.DateTimeProperty`

`concerto.metamodel@0.4.0.DateTimeProperty` --|> `concerto.metamodel@0.4.0.Property`
class `concerto.metamodel@0.4.0.StringProperty` {
<< concept>>
   + `String` `defaultValue`
   + `StringRegexValidator` `validator`
}

`concerto.metamodel@0.4.0.StringProperty` "1" *-- "1" `concerto.metamodel@0.4.0.StringRegexValidator`
`concerto.metamodel@0.4.0.StringProperty` --|> `concerto.metamodel@0.4.0.Property`
class `concerto.metamodel@0.4.0.StringRegexValidator` {
<< concept>>
   + `String` `pattern`
   + `String` `flags`
}

class `concerto.metamodel@0.4.0.DoubleProperty` {
<< concept>>
   + `Double` `defaultValue`
   + `DoubleDomainValidator` `validator`
}

`concerto.metamodel@0.4.0.DoubleProperty` "1" *-- "1" `concerto.metamodel@0.4.0.DoubleDomainValidator`
`concerto.metamodel@0.4.0.DoubleProperty` --|> `concerto.metamodel@0.4.0.Property`
class `concerto.metamodel@0.4.0.DoubleDomainValidator` {
<< concept>>
   + `Double` `lower`
   + `Double` `upper`
}

class `concerto.metamodel@0.4.0.IntegerProperty` {
<< concept>>
   + `Integer` `defaultValue`
   + `IntegerDomainValidator` `validator`
}

`concerto.metamodel@0.4.0.IntegerProperty` "1" *-- "1" `concerto.metamodel@0.4.0.IntegerDomainValidator`
`concerto.metamodel@0.4.0.IntegerProperty` --|> `concerto.metamodel@0.4.0.Property`
class `concerto.metamodel@0.4.0.IntegerDomainValidator` {
<< concept>>
   + `Integer` `lower`
   + `Integer` `upper`
}

class `concerto.metamodel@0.4.0.LongProperty` {
<< concept>>
   + `Long` `defaultValue`
   + `LongDomainValidator` `validator`
}

`concerto.metamodel@0.4.0.LongProperty` "1" *-- "1" `concerto.metamodel@0.4.0.LongDomainValidator`
`concerto.metamodel@0.4.0.LongProperty` --|> `concerto.metamodel@0.4.0.Property`
class `concerto.metamodel@0.4.0.LongDomainValidator` {
<< concept>>
   + `Long` `lower`
   + `Long` `upper`
}

class `concerto.metamodel@0.4.0.Import` {
<< concept>>
   + `String` `namespace`
   + `String` `uri`
}

class `concerto.metamodel@0.4.0.ImportAll`
<< concept>> `concerto.metamodel@0.4.0.ImportAll`

`concerto.metamodel@0.4.0.ImportAll` --|> `concerto.metamodel@0.4.0.Import`
class `concerto.metamodel@0.4.0.ImportType` {
<< concept>>
   + `String` `name`
}

`concerto.metamodel@0.4.0.ImportType` --|> `concerto.metamodel@0.4.0.Import`
class `concerto.metamodel@0.4.0.Model` {
<< concept>>
   + `String` `namespace`
   + `String` `sourceUri`
   + `String` `concertoVersion`
   + `Import[]` `imports`
   + `Declaration[]` `declarations`
}

`concerto.metamodel@0.4.0.Model` "1" *-- "*" `concerto.metamodel@0.4.0.Import`
`concerto.metamodel@0.4.0.Model` "1" *-- "*" `concerto.metamodel@0.4.0.Declaration`
class `concerto.metamodel@0.4.0.Models` {
<< concept>>
   + `Model[]` `models`
}

`concerto.metamodel@0.4.0.Models` "1" *-- "*" `concerto.metamodel@0.4.0.Model`
```

# Namespace org.accordproject.commonmark@0.5.0

## Overview
- 29 concepts
- 0 enumerations
- 0 assets
- 0 participants
- 0 transactions
- 0 events
- 29 total declarations

## Imports
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.commonmark@0.5.0.Node` {
<< concept>>
   + `String` `text`
   + `Node[]` `nodes`
   + `Integer` `startLine`
   + `Integer` `endLine`
}

`org.accordproject.commonmark@0.5.0.Node` "1" *-- "*" `org.accordproject.commonmark@0.5.0.Node`
class `org.accordproject.commonmark@0.5.0.Root`
<< concept>> `org.accordproject.commonmark@0.5.0.Root`

`org.accordproject.commonmark@0.5.0.Root` --|> `org.accordproject.commonmark@0.5.0.Node`
class `org.accordproject.commonmark@0.5.0.Child`
<< concept>> `org.accordproject.commonmark@0.5.0.Child`

`org.accordproject.commonmark@0.5.0.Child` --|> `org.accordproject.commonmark@0.5.0.Node`
class `org.accordproject.commonmark@0.5.0.Text`
<< concept>> `org.accordproject.commonmark@0.5.0.Text`

`org.accordproject.commonmark@0.5.0.Text` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.Attribute` {
<< concept>>
   + `String` `name`
   + `String` `value`
}

class `org.accordproject.commonmark@0.5.0.TagInfo` {
<< concept>>
   + `String` `tagName`
   + `String` `attributeString`
   + `Attribute[]` `attributes`
   + `String` `content`
   + `Boolean` `closed`
}

`org.accordproject.commonmark@0.5.0.TagInfo` "1" *-- "*" `org.accordproject.commonmark@0.5.0.Attribute`
class `org.accordproject.commonmark@0.5.0.CodeBlock` {
<< concept>>
   + `String` `info`
   + `TagInfo` `tag`
}

`org.accordproject.commonmark@0.5.0.CodeBlock` "1" *-- "1" `org.accordproject.commonmark@0.5.0.TagInfo`
`org.accordproject.commonmark@0.5.0.CodeBlock` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.Code` {
<< concept>>
   + `String` `info`
}

`org.accordproject.commonmark@0.5.0.Code` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.HtmlInline` {
<< concept>>
   + `TagInfo` `tag`
}

`org.accordproject.commonmark@0.5.0.HtmlInline` "1" *-- "1" `org.accordproject.commonmark@0.5.0.TagInfo`
`org.accordproject.commonmark@0.5.0.HtmlInline` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.HtmlBlock` {
<< concept>>
   + `TagInfo` `tag`
}

`org.accordproject.commonmark@0.5.0.HtmlBlock` "1" *-- "1" `org.accordproject.commonmark@0.5.0.TagInfo`
`org.accordproject.commonmark@0.5.0.HtmlBlock` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.Emph`
<< concept>> `org.accordproject.commonmark@0.5.0.Emph`

`org.accordproject.commonmark@0.5.0.Emph` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.Strong`
<< concept>> `org.accordproject.commonmark@0.5.0.Strong`

`org.accordproject.commonmark@0.5.0.Strong` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.BlockQuote`
<< concept>> `org.accordproject.commonmark@0.5.0.BlockQuote`

`org.accordproject.commonmark@0.5.0.BlockQuote` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.Heading` {
<< concept>>
   + `String` `level`
}

`org.accordproject.commonmark@0.5.0.Heading` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.ThematicBreak`
<< concept>> `org.accordproject.commonmark@0.5.0.ThematicBreak`

`org.accordproject.commonmark@0.5.0.ThematicBreak` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.Softbreak`
<< concept>> `org.accordproject.commonmark@0.5.0.Softbreak`

`org.accordproject.commonmark@0.5.0.Softbreak` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.Linebreak`
<< concept>> `org.accordproject.commonmark@0.5.0.Linebreak`

`org.accordproject.commonmark@0.5.0.Linebreak` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.Link` {
<< concept>>
   + `String` `destination`
   + `String` `title`
}

`org.accordproject.commonmark@0.5.0.Link` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.Image` {
<< concept>>
   + `String` `destination`
   + `String` `title`
}

`org.accordproject.commonmark@0.5.0.Image` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.Paragraph`
<< concept>> `org.accordproject.commonmark@0.5.0.Paragraph`

`org.accordproject.commonmark@0.5.0.Paragraph` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.List` {
<< concept>>
   + `String` `type`
   + `String` `start`
   + `String` `tight`
   + `String` `delimiter`
}

`org.accordproject.commonmark@0.5.0.List` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.Item`
<< concept>> `org.accordproject.commonmark@0.5.0.Item`

`org.accordproject.commonmark@0.5.0.Item` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.Document` {
<< concept>>
   + `String` `xmlns`
}

`org.accordproject.commonmark@0.5.0.Document` --|> `org.accordproject.commonmark@0.5.0.Root`
class `org.accordproject.commonmark@0.5.0.Table`
<< concept>> `org.accordproject.commonmark@0.5.0.Table`

`org.accordproject.commonmark@0.5.0.Table` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.TableHead`
<< concept>> `org.accordproject.commonmark@0.5.0.TableHead`

`org.accordproject.commonmark@0.5.0.TableHead` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.TableBody`
<< concept>> `org.accordproject.commonmark@0.5.0.TableBody`

`org.accordproject.commonmark@0.5.0.TableBody` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.TableRow`
<< concept>> `org.accordproject.commonmark@0.5.0.TableRow`

`org.accordproject.commonmark@0.5.0.TableRow` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.HeaderCell`
<< concept>> `org.accordproject.commonmark@0.5.0.HeaderCell`

`org.accordproject.commonmark@0.5.0.HeaderCell` --|> `org.accordproject.commonmark@0.5.0.Child`
class `org.accordproject.commonmark@0.5.0.TableCell`
<< concept>> `org.accordproject.commonmark@0.5.0.TableCell`

`org.accordproject.commonmark@0.5.0.TableCell` --|> `org.accordproject.commonmark@0.5.0.Child`
```

